Project

General

Profile

Actions

Feature #7360

closed

When EC ready add back test.sh test case for "mon: OSDMonitor: do not allow changing an erasure-coded pool's size"

Added by David Zafman about 10 years ago. Updated about 10 years ago.

Status:
Resolved
Priority:
High
Assignee:
Category:
-
Target version:
% Done:

70%

Source:
Development
Tags:
Backport:
Reviewed:
Affected Versions:
Pull request ID:

Description

Work in progress

Once OSDs can handle Erasure Coding we should add back the test.sh test case for attempting to change the size of an Erasure Coded pool.

This is just the test.sh change of commit c8c4cc6e81816069886af6bff968712993554759

commit c8c4cc6e81816069886af6bff968712993554759
Author: Joao Eduardo Luis <>
Date: Sun Feb 2 14:02:17 2014 +0000

mon: OSDMonitor: do not allow changing an erasure-coded pool's size
Fixes: 7277
Reviewed-by: Loic Dachary &lt;&gt;
Signed-off-by: Joao Eduardo Luis &lt;&gt;

diff --git a/qa/workunits/cephtool/test.sh b/qa/workunits/cephtool/test.sh
index 58d0e94..8419c7f 100755
--- a/qa/workunits/cephtool/test.sh
+++ b/qa/workunits/cephtool/test.sh
@ -369,6 +369,13 @ ceph osd pool set data size $new_size
ceph osd pool get data size | grep "size: $new_size"
ceph osd pool set data size $old_size

ceph osd crush rule create-erasure ec_ruleset
+ceph osd pool create pool_erasure 12 12 erasure crush_ruleset=ec_ruleset
+set +e
+ceph osd pool set pool_erasure size 4444 2>$TMPFILE
+check_response $? 38 'can not change the size'
+set -e

ceph osd pool set data hashpspool true
ceph osd pool set data hashpspool false
ceph osd pool set data hashpspool 0

Actions #1

Updated by Loïc Dachary about 10 years ago

  • Assignee changed from Joao Eduardo Luis to Loïc Dachary
Actions #2

Updated by Loïc Dachary about 10 years ago

  • Status changed from New to 12
Actions #3

Updated by Loïc Dachary about 10 years ago

  • Description updated (diff)
  • % Done changed from 0 to 70

crashes, investigating why

Actions #4

Updated by Sage Weil about 10 years ago

  • Tracker changed from Bug to Feature
  • Target version set to 0.78
  • Source changed from other to Development
Actions #5

Updated by Sage Weil about 10 years ago

  • Status changed from 12 to Resolved
Actions

Also available in: Atom PDF